
QGIS Application - Bug report #19412

QGIS Server layers (WMS) do not render above zoom level 20 in leaflet or open layers

2018-07-13 11:40 AM - Admire Nyakudya

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.18.18 Regression?: Yes

Operating System: Ubuntu 18.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 27240

Description

I have setup QGIS server to render map services and the WMS layers are rendered in leaflet or OpenLayers and beyond zoom level 19

nothing renders.

I have set up the QGIS project with layers coming from a PostgreSQL database and also a shapefile. There are no rendering rules set-up

for the layers and the QGIS projects.

Related issues:

Duplicated by QGIS Application - Bug report # 19411: QGIS Server layers (WMS)... Closed 2018-07-13

History

#1 - 2018-09-24 02:54 AM - Jürgen Fischer

- Duplicated by Bug report #19411: QGIS Server layers (WMS) do not render above zoom level 20 in leaflet or open layers added

#2 - 2019-01-21 12:35 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.
You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
